"""Top-level package for NetBox AWX Plugin."""

__author__ = """Anders Harrisson"""
__email__ = "anders.harrisson@gmail.com"
__version__ = "0.1.0"


from extras.plugins import PluginConfig


class AWXConfig(PluginConfig):
    name = "netbox_awx_plugin"
    verbose_name = "NetBox AWX Plugin"
    description = "NetBox plugin for AWX integration."
    version = "version"
    base_url = "netbox_awx_plugin"

    def ready(self):
        super().ready()

        from . import signals


config = AWXConfig
