from netbox.forms import NetBoxModelForm

from .models import AWX, AWXInventory


class AWXForm(NetBoxModelForm):
    class Meta:
        model = AWX
        fields = ("name", "url", "token")


class AWXInventoryForm(NetBoxModelForm):
    class Meta:
        model = AWXInventory
        fields = ("awx", "inventory_id", "enabled")

