from extras.plugins import PluginMenuButton, PluginMenuItem
from utilities.choices import ButtonColorChoices

plugin_buttons = [
    PluginMenuButton(
        link="plugins:netbox_awx_plugin:awx_add",
        title="Add",
        icon_class="mdi mdi-plus-thick",
        color=ButtonColorChoices.GREEN,
    )
]

awxinventory_buttons = [
    PluginMenuButton(
        link="plugins:netbox_awx_plugin:awxinventory_add",
        title="Add inventory",
        icon_class="mdi mdi-plus-thick",
        color=ButtonColorChoices.GREEN,
    )
]

menu_items = (
    PluginMenuItem(
        link="plugins:netbox_awx_plugin:awx_list",
        link_text="AWX",
        buttons=plugin_buttons,
    ),
    PluginMenuItem(
        link="plugins:netbox_awx_plugin:awxinventory_list",
        link_text="AWX Inventory",
        buttons=awxinventory_buttons,
    ),
)
